{============================================================================}
PROGRAM RingSPK; { $ }
{============================================================================}
{
Defines:
}
USES
{ STANDARD:
  System, Overlay, Crt, Dos, Printer,
  Graph, Strings, Turbo3, Graph3;

  SONSTIGE:
  AsciiTab, AsciTabG, Calc, CalcG, CmdNamer, Gadgets, KeyNamer;

  USER:
  dbase, gamelib, paslib, offlib, adrlib, faclib, bchlib, loblib, gralib;
}
  Crt;

TYPE
  Noterecord = RECORD
    C,Cf,D,Df,E,F,Ff,G,Gf,A,Af,B : INTEGER
  END;

CONST
  Notes: Noterecord =
         (C:1;Cf:2;D:3;Df:4;E:5;F:6;Ff:7;G:8;Gf:9;A:10;Af:11;B:12);

VAR
  I: INTEGER;

{============================================================================}
PROCEDURE Play(Octave, Note, Duration: INTEGER);

VAR
  I        : INTEGER;
  Frequency: REAL;

BEGIN
  Frequency := 32.625;
  FOR I := 1 TO Octave DO
    Frequency := Frequency * 2;
  FOR I := 1 TO Note - 1 DO
    Frequency := Frequency * 1.059463094;
  IF Duration <> 0
  THEN
    BEGIN
      Sound(Round(Frequency));
      Delay(Duration);
      Nosound
    END
  ELSE
    Sound(Round(Frequency))
END;

{============================================================================}
BEGIN
  FOR I := 1 TO 7 DO
    WITH Notes DO
      BEGIN
        Play(4, G, 70);
        Play(4, D, 70)
      END;
  Delay(1000)
END.
